<?php
  define( "INCLUDE_ROOT", $_SERVER['DOCUMENT_ROOT'] . "/includes/" );
  define( "CURRENT_ITEM", "Contact" );
  define( "CURRENT_ITEM_CLASS", " class=\"currentlistitem\"" );
  define( "CURRENT_ITEM_STYLE", " style=\"background-color: #C4C769\"" );
  
  // For everything that appears before the <head> tag
  include INCLUDE_ROOT . "pre_head.include";

  // The <head> tag is identical except for part of the <title> tag. The difference in the
  // title is what appears between this include and the following one.
  include INCLUDE_ROOT . "head_1.include";
  
  echo " Contact Us";
  
  include INCLUDE_ROOT . "head_2.include";
?>

<body>

<!-- The container ID encapsulates everything else on the page -->
<div id="container">

  <?php
    // The header css id is found entirely within this include.
    include INCLUDE_ROOT . "id_header.include";
  
    // The mainnav is the same for each page with one difference: each page belongs to
    // one of the mainnav links. The one it belongs to is colored differently, which is
    // why we have a separate include file for each section of the web site.
    include INCLUDE_ROOT . "id_mainnav.include";
  ?>
  <div id="column">
  <?php
    include INCLUDE_ROOT . "answers_first.include";
    include INCLUDE_ROOT . "filemaker_banners.include";
    include INCLUDE_ROOT . "latest_news.include";
    include INCLUDE_ROOT . "recent_articles.include";
  ?>
  </div> <!-- Cloding the column div -->
  
  <div id="contents">
    <div class="article">
      <h2>Click or Call (or Write)</h2>

      <p>You can contact us either by email (<a href="mailto:info@chivalrysoftware.com">info@chivalrysoftware.com</a>), phone ((951) 834-5090) or mail (30108 Willow Dr., Temecula, CA 92591). We also frequent our online <a href="/forum/">forums</a>, so any posting you make there will be seen by us.</p>

    </div> <!-- Closing the article div -->
  </div> <!-- Closing the contents div -->

  <?php // Just the copyright information so far.
     include INCLUDE_ROOT . "id_footer.include" ?>

</div> <!-- Closing the contents div -->
</body>
</html>
