<?php
  define( "INCLUDE_ROOT", $_SERVER['DOCUMENT_ROOT'] . "/includes/" );
  define( "CURRENT_ITEM", "Products" );
  define( "CURRENT_ITEM_CLASS", " class=\"currentlistitem\"" );
  define( "CURRENT_ITEM_STYLE", " style=\"background-color: #C4C769\"" );
  
  // For everything that appears before the <head> tag
  include INCLUDE_ROOT . "pre_head.include";

  // The <head> tag is identical except for part of the <title> tag. The difference in the
  // title is what appears between this include and the following one.
  include INCLUDE_ROOT . "head_1.include";
  
  echo " Function Helper";
  
  include INCLUDE_ROOT . "head_2.include";
?>

<body>

<!-- The container ID encapsulates everything else on the page -->
<div id="container">

  <?php
    // The header css id is found entirely within this include.
    include INCLUDE_ROOT . "id_header.include";
  
    // The mainnav is the same for each page with one difference: each page belongs to
    // one of the mainnav links. The one it belongs to is colored differently, which is
    // why we have a separate include file for each section of the web site.
    include INCLUDE_ROOT . "id_mainnav.include";
  ?>
  <div id="column">
  <?php
    include INCLUDE_ROOT . "filemaker_banners_first.include";
    include INCLUDE_ROOT . "latest_news.include";
    include INCLUDE_ROOT . "recent_articles.include";
  ?>
  </div> <!-- Cloding the column div -->
  
  <div id="contents">
    <div class="article">
      <h2><a href="functionhelper.php">Function Helper</a></h2>

      <p><form action="https://www.paypal.com/cgi-bin/webscr" method="post">
<input type="hidden" name="cmd" value="_xclick">
<input type="hidden" name="business" value="sales@chivalrysoftware.com">
<input type="hidden" name="item_name" value="Function Helper 1.0v1">
<input type="hidden" name="item_number" value="4-1140">
<input type="hidden" name="amount" value="25.00">
<input type="hidden" name="no_shipping" value="1">
<input type="hidden" name="return" value="http://www.chivalrysoftware.com/products/functionhelper.php">
<input type="hidden" name="no_note" value="1">
<input type="hidden" name="currency_code" value="USD">
<input type="hidden" name="lc" value="US">
<input type="image" src="https://www.paypal.com/en_US/i/btn/x-click-but23.gif" border="0" name="submit" alt="Make payments with PayPal - it's fast, free and secure!">
</form>
<a href="../downloads/FunctionHelper10v1.zip">Download Function Helper 1.0v1</a></p>

<p>Function Helper is a FileMaker solution to assist developers in the creation, debugging and storage of custom functions for FileMaker Developer 7. As powerful as the new custom function feature of FileMaker Developer 7 is for creating powerful database solutions, it isn't without its limitations. "Function Helper" is designed to allow developers to edit and debug custom functions without having to move in and out of the Custom Function dialog box. Using a completely native FileMaker interface, developers can create custom functions, specify parameters and result type, enter functions, input sample parameters, and immediately see the results of the function. Debugging becomes as easy as editing the function field and getting immediate feedback.</p>

<p>In addition to its primary task of simplifing the creation of custom functions, "Function Helper" also serves as a convenient database for custom functions, and ships with a prepopulated database of over 30 useful custom functions, culled from the popular online FileMaker forums and from the developers at Chivalry Software.</p>

<p>Try Function Helper out today by downloading a <a href="../downloads/FunctionHelper10v1.zip">demonstration version</a> (fully functional with the exception of the ability to create records). If you're ready to purchase the full version for $US25, click the "Buy Now" button below.</p>

<p><form action="https://www.paypal.com/cgi-bin/webscr" method="post">
<input type="hidden" name="cmd" value="_xclick">
<input type="hidden" name="business" value="sales@chivalrysoftware.com">
<input type="hidden" name="item_name" value="Function Helper 1.0v1">
<input type="hidden" name="item_number" value="4-1140">
<input type="hidden" name="amount" value="25.00">
<input type="hidden" name="no_shipping" value="1">
<input type="hidden" name="return" value="http://www.chivalrysoftware.com/products/functionhelper.php">
<input type="hidden" name="no_note" value="1">
<input type="hidden" name="currency_code" value="USD">
<input type="hidden" name="lc" value="US">
<input type="image" src="https://www.paypal.com/en_US/i/btn/x-click-but23.gif" border="0" name="submit" alt="Make payments with PayPal - it's fast, free and secure!">
</form></p>

    </div> <!-- Closing the article div -->
  </div> <!-- Closing the contents div -->

  <?php // Just the copyright information so far.
     include INCLUDE_ROOT . "id_footer.include" ?>

</div> <!-- Closing the contents div -->
</body>
</html>
