<?php
  define( "INCLUDE_ROOT", $_SERVER['DOCUMENT_ROOT'] . "/includes/" );
  define( "CURRENT_ITEM", "Home" );
  define( "CURRENT_ITEM_CLASS", " class=\"currentlistitem\"" );
  define( "CURRENT_ITEM_STYLE", " style=\"background-color: #C4C769\"" );
  
  // For everything that appears before the <head> tag
  include INCLUDE_ROOT . "pre_head.include";

  // The <head> tag is identical except for part of the <title> tag. The difference in the
  // title is what appears between this include and the following one.
  include INCLUDE_ROOT . "head_1.include";
  
  echo " Tell Me About Chivalry's Guarantee";
  
  include INCLUDE_ROOT . "head_2.include";
?>

<body>

<!-- The container ID encapsulates everything else on the page -->
<div id="container">

  <?php
    // The header css id is found entirely within this include.
    include INCLUDE_ROOT . "id_header.include";
  
    // The mainnav is the same for each page with one difference: each page belongs to
    // one of the mainnav links. The one it belongs to is colored differently, which is
    // why we have a separate include file for each section of the web site.
    include INCLUDE_ROOT . "id_mainnav.include";
  ?>
  <div id="column">
  <?php
    include INCLUDE_ROOT . "answers_first.include";
    include INCLUDE_ROOT . "filemaker_banners.include";
    include INCLUDE_ROOT . "latest_news.include";
    include INCLUDE_ROOT . "recent_articles.include";
  ?>
  </div> <!-- Cloding the column div -->
  
  <div id="contents">
    <div class="article">
      <h2>Tell Me About Chivalry&rsquo;s Guarantee.</h2>
      <!--<h3>Wednesday, 3 December 2003</h3>-->
      <p>During the development of your project, we will provide you with an estimate of the
          project&rsquo;s cost. The approved estimate <span class="emphasize">guarantees</span> that
          your cost will not exceed the amount estimated. If development time is less
          than that specified on the estimate, you will pay the lesser amount, but if
          development time is more than estimated, the estimated time is all you will pay
          for.</p>

      <p>Often, changes occur in the project definition during the development phase. When this
          happens, we will create a change order, including an estimated cost for the change.
          Upon <span class="emphasize">approval</span> of the change order, that estimate will be
          integrated into the project estimate, and this total amount will now be our guaranteed
          ceiling.</p>

    </div> <!-- Closing the article div -->
  </div> <!-- Closing the contents div -->

  <?php // Just the copyright information so far.
     include INCLUDE_ROOT . "id_footer.include" ?>

</div> <!-- Closing the contents div -->
</body>
</html>
