<?php
  define( "INCLUDE_ROOT", $_SERVER['DOCUMENT_ROOT'] . "/includes/" );
  define( "CURRENT_ITEM", "News" );
  define( "CURRENT_ITEM_CLASS", " class=\"currentlistitem\"" );
  define( "CURRENT_ITEM_STYLE", " style=\"background-color: #C4C769\"" );
  
  // For everything that appears before the <head> tag
  include INCLUDE_ROOT . "pre_head.include";

  // The <head> tag is identical except for part of the <title> tag. The difference in the
  // title is what appears between this include and the following one.
  include INCLUDE_ROOT . "head_1.include";
  
  echo " News";
  
  include INCLUDE_ROOT . "head_2.include";
?>

<body>

<!-- The container ID encapsulates everything else on the page -->
<div id="container">

  <?php
    // The header css id is found entirely within this include.
    include INCLUDE_ROOT . "id_header.include";
  
    // The mainnav is the same for each page with one difference: each page belongs to
    // one of the mainnav links. The one it belongs to is colored differently, which is
    // why we have a separate include file for each section of the web site.
    include INCLUDE_ROOT . "id_mainnav.include";
  ?>
  <div id="column">
  <?php
    include INCLUDE_ROOT . "latest_news_first.include";
    include INCLUDE_ROOT . "filemaker_banners.include";
    include INCLUDE_ROOT . "recent_articles.include";
  ?>
  </div> <!-- Cloding the column div -->
  
  <div id="contents">
    <div class="article">
      <h2><a href="functionhelper.php">Function Helper Released</a></h2>

      <p>Chivalry Software is pleased to offer <a href="functionhelper.php">Function Helper</a> to the FileMaker developer community as a tool for editing and debugging FileMaker custom functions.</p>

    </div> <!-- Closing the article div -->
    <div class="article">
      <h2>Chivalry Software, LLC, Open for Business</h2>

      <p>The first news we could possibly offer is that we&rsquo;re open for business. At this time, we&rsquo;re working with a number of small business clients, helping them to increase their efficiency through information technology, with a large helping hand from FileMaker Pro. Check here often (or <a href="mailto:newproducts@chivalrysoftware.com">join</a> our new products mailing list) for news about products that we anticipate will be released by the end of the year.</p>
    </div> <!-- Closing the article div -->
  </div> <!-- Closing the contents div -->

  <?php // Just the copyright information so far.
     include INCLUDE_ROOT . "id_footer.include"; ?>

</div> <!-- Closing the contents div -->
</body>
</html>
